TADS Bug Database

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000225TADS 3Compilerpublic2014-06-23 14:522015-08-06 00:17
ReporterEric Eve 
Assigned ToMichael Roberts 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDell PCOSWindows 7OS Version
Summary0000225: getClockTime() method on Date class does not work as specified.
DescriptionAccording to the System Manual, Date.getClockTime() should return a list in the format [hour, minute, second, ms], but it actually seems to be returning a list in the format [0, hour, minute, 0].
Steps To ReproduceTry the following sample code:

gameMain: GameMainDef
    initialPlayerChar = me
   
    showIntro()
    {
        
        local d = new Date(2014, 6, 23, 15, 30, 30, 0);
        local t = d.getClockTime;
        "[<<t[1]>>, <<t[2]>>, <<t[3]>>, <<t[4]>>]\b";
    }
  
;

The output should be [15, 30, 30, 0]; what I get is [0, 15, 30, 0].
Additional InformationI encountered this while working on an extension for the adv3Lite library, but presumably that shouldn't affect the workings of an intrinsic class.
TagsNo tags attached.
Fixed In Version3.1.4
Attached Files

- Relationships

-  Notes
(0000391)
EmilyBoegheim (reporter)
2015-07-29 09:01

I can confirm this bug - more or less. It seems it's actually returning a list in the format [0, hour, minute, ms]. You can test this by changing Eric's example code from "local d = new Date(2014, 6, 23, 15, 30, 30, 0);" to "local d = new Date();", to get the current clock time. The output will be something like [0, 20, 59, 665].
(0000400)
Michael Roberts (administrator)
2015-08-06 00:17

Fixed for the next update.

- Issue History
Date Modified Username Field Change
2014-06-23 14:52 Eric Eve New Issue
2015-07-29 09:01 EmilyBoegheim Note Added: 0000391
2015-08-06 00:17 Michael Roberts Fixed In Version => 3.1.4
2015-08-06 00:17 Michael Roberts Note Added: 0000400
2015-08-06 00:17 Michael Roberts Assigned To => Michael Roberts
2015-08-06 00:17 Michael Roberts Status new => resolved
2015-08-06 00:17 Michael Roberts Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker